DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementForge

Allocate the data of a measurement data structure

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementForge ( measurement, featureID, objectID )

## FUNCTION

This function forges a measurement data structure, that has been created with `MeasurementNew`. The `featureID` array should contain the IDs of the features to be performed. The vadility of these IDs is checked by comparing them with the IDs of registered measurement functions (see `MeasurementFeatureRegister`). The `objectID` array contains the IDs (i.e. labels) of the objects on which the features are to be performed. (For example, the `Measure` function accepts as one of its arguments a label image, of which the intensity of each individual pixel represents the ID of the object to which that pixel belongs. These label values should in that case correspond to the values of `objectID`.)

The `measurement` structure can be regarded as a matrix spanned by the number of features along one axis, and the number of objects along the other. `MeasurementForge` allocates and initialises the internal structures to contain this matrix and the data required for each conbimation of measurement and object ID.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement structure
`dip_IntegerArray` | `featureID` | Array of measurement function IDs
`dip_IntegerArray` | `objectID` | Array of Object IDs

## SEE ALSO

`Measure`, `MeasurementNew`, `MeasurementFree`, `MeasurementIsValid`, `MeasurementFeatureRegister`, `MeasurementFeatureRegistryList`, `MeasurementFeatureRegistryGet`, `MeasurementFeatureRegistryFeatureDescription`, `MeasurementFeatureRegistryFeatureNeedsIntensityImage`